Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.radiosity
Class OptionReader

    java.lang.Object
      de.grogra.ray2.radiosity.OptionReader

    public class OptionReader

extends java.lang.Object

Reads all Radiosity Options from the registry and checks if values where changed.

Author:
  Ralf Kopsch

Constructor Summary
`OptionReader(PixelwiseRenderer renderer)` This Constructor reads all Radiosity parameter from the registry.

Method Summary
`void` | `calcFinished(Scene scene)` Call this after the rendering to update the values.
`int` | `getCubeWidth()` Return the cube pixel size.
`float` | `getHemiWorldWide()` Returns the cube size in world coordinates.
`int` | `getMaxsubdivdepth()` Returns the max subdivision size.
`float` | `getSubdivthreshold()` Returns the subdivision threshold.
`int` | `getThreadCount()` Returns the thread count.
`boolean` | `isHemicubeCalcNeeded()` Returns true, if a new Hemicube must be created.
`boolean` | `isRadiosityCalcNeeded(Scene scene)` Returns true, if all Radiosity values must be calculated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionReader

    public OptionReader(PixelwiseRenderer renderer)

  This Constructor reads all Radiosity parameter from the registry.

  Parameters:
    `renderer` - the PixelwiseRenderer

Method Detail

### calcFinished

    public void calcFinished(Scene scene)

  Call this after the rendering to update the values.

  Parameters:
    `scene` - the scene object.

### getCubeWidth

    public int getCubeWidth()

  Return the cube pixel size.

  Returns:
    Return the cube pixel size.

### getHemiWorldWide

    public float getHemiWorldWide()

  Returns the cube size in world coordinates.

  Returns:
    Returns the cube size in world coordinates.

### getMaxsubdivdepth

    public int getMaxsubdivdepth()

  Returns the max subdivision size.

  Returns:
    Returns the max subdivision size.

### getSubdivthreshold

    public float getSubdivthreshold()

  Returns the subdivision threshold.

  Returns:
    Returns the subdivision threshold.

### getThreadCount

    public int getThreadCount()

  Returns the thread count.

  Returns:
    Returns the thread count.

### isHemicubeCalcNeeded

    public boolean isHemicubeCalcNeeded()

  Returns true, if a new Hemicube must be created.

  Returns:
    true, if a new Hemicube must be created.

### isRadiosityCalcNeeded

    public boolean isRadiosityCalcNeeded(Scene scene)

  Returns true, if all Radiosity values must be calculated.

  Parameters:
    `scene` - the Scene.
  Returns:
    true, if all Radiosity values must be calculated.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD